from typing import Optional
from pydantic import BaseModel


class CreateVehicle(BaseModel):
    Model: str
    Year: int
    LicensePlate: str
    Mileage: int
    Capacity: int


class OutputVehicle(BaseModel):
    Id: int
    Model: str
    Year: int
    LicensePlate: str
    Mileage: int
    CurrentLocation: Optional[list[str]] = None
    Fuel: Optional[int] = 0
    MaintenanceNotes: Optional[list[str]] = None
    AssignedDriver: Optional[int] = None
    Capacity: int
    Status: str


class UpdateVehicle(BaseModel):
    Model: str
    Year: int
    LicensePlate: str
    Capacity: int
    Mileage: int
    Status: str
    CurrentLocation: Optional[list[str]] = None
    Fuel: Optional[int] = 0
    MaintenanceNotes: Optional[list[str]] = None
    AssignedDriver: Optional[int] = None


class VehicleLocation(BaseModel):
    CurrentLocation: list[str]
